import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';

import { NotificationGateway } from './notifications.gateway';
import { NotificationEntity } from './notification.entity';
import { GameEntity } from '../game/game.entity';
import { NotificationsController } from './notifications.controller';
import { NotificationsService } from './notifications.service';

/////////////////////////////////////////////////////////////////////
/// Notification                                                  ///
/// - contains everything to do with Notification data.           ///
/////////////////////////////////////////////////////////////////////
@Module({
  imports: [TypeOrmModule.forFeature([NotificationEntity, GameEntity])],
  providers: [NotificationGateway, NotificationsService],
  exports: [NotificationGateway],
  controllers: [NotificationsController],
})
export class NotificationModule {}
